package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Event log statistic.
 */
@ApiModel(description = "Event log statistic.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2025-06-03T17:52:43.984874600+08:00[Asia/Shanghai]")

public class EventLogStatOpenApiVo   {
  @JsonProperty("totalLogNum")
  private Long totalLogNum;

  @JsonProperty("systemLogNum")
  private Long systemLogNum;

  @JsonProperty("deviceLogNum")
  private Long deviceLogNum;

  @JsonProperty("clientLogNum")
  private Long clientLogNum;

  public EventLogStatOpenApiVo totalLogNum(Long totalLogNum) {
    this.totalLogNum = totalLogNum;
    return this;
  }

  /**
   * Total log number.
   * @return totalLogNum
  */
  @ApiModelProperty(value = "Total log number.")


  public Long getTotalLogNum() {
    return totalLogNum;
  }

  public void setTotalLogNum(Long totalLogNum) {
    this.totalLogNum = totalLogNum;
  }

  public EventLogStatOpenApiVo systemLogNum(Long systemLogNum) {
    this.systemLogNum = systemLogNum;
    return this;
  }

  /**
   * System event log number.
   * @return systemLogNum
  */
  @ApiModelProperty(value = "System event log number.")


  public Long getSystemLogNum() {
    return systemLogNum;
  }

  public void setSystemLogNum(Long systemLogNum) {
    this.systemLogNum = systemLogNum;
  }

  public EventLogStatOpenApiVo deviceLogNum(Long deviceLogNum) {
    this.deviceLogNum = deviceLogNum;
    return this;
  }

  /**
   * Device event log number.
   * @return deviceLogNum
  */
  @ApiModelProperty(value = "Device event log number.")


  public Long getDeviceLogNum() {
    return deviceLogNum;
  }

  public void setDeviceLogNum(Long deviceLogNum) {
    this.deviceLogNum = deviceLogNum;
  }

  public EventLogStatOpenApiVo clientLogNum(Long clientLogNum) {
    this.clientLogNum = clientLogNum;
    return this;
  }

  /**
   * Client event log number.
   * @return clientLogNum
  */
  @ApiModelProperty(value = "Client event log number.")


  public Long getClientLogNum() {
    return clientLogNum;
  }

  public void setClientLogNum(Long clientLogNum) {
    this.clientLogNum = clientLogNum;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    EventLogStatOpenApiVo eventLogStatOpenApiVo = (EventLogStatOpenApiVo) o;
    return Objects.equals(this.totalLogNum, eventLogStatOpenApiVo.totalLogNum) &&
        Objects.equals(this.systemLogNum, eventLogStatOpenApiVo.systemLogNum) &&
        Objects.equals(this.deviceLogNum, eventLogStatOpenApiVo.deviceLogNum) &&
        Objects.equals(this.clientLogNum, eventLogStatOpenApiVo.clientLogNum);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalLogNum, systemLogNum, deviceLogNum, clientLogNum);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EventLogStatOpenApiVo {\n");
    
    sb.append("    totalLogNum: ").append(toIndentedString(totalLogNum)).append("\n");
    sb.append("    systemLogNum: ").append(toIndentedString(systemLogNum)).append("\n");
    sb.append("    deviceLogNum: ").append(toIndentedString(deviceLogNum)).append("\n");
    sb.append("    clientLogNum: ").append(toIndentedString(clientLogNum)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

